/*
 * cone.h
 *
 * Copyright (C) 1989, 1991, Craig E. Kolb
 * All rights reserved.
 *
 * This software may be freely copied, modified, and redistributed
 * provided that this copyright notice is preserved on all copies.
 *
 * You may not distribute this software, in whole or in part, as part of
 * any commercial product without the express consent of the authors.
 *
 * There is no warranty or other guarantee of fitness of this software
 * for any purpose.  It is provided solely "as is".
 *
 * cone.h,v 4.1 1994/08/09 07:58:17 explorer Exp
 *
 * cone.h,v
 * Revision 4.1  1994/08/09  07:58:17  explorer
 * Bump version to 4.1
 *
 * Revision 1.1.1.1  1994/08/08  04:52:08  explorer
 * Initial import.  This is a prerelease of 4.0.6enh3, or 4.1 possibly.
 *
 * Revision 4.0  91/07/17  14:36:49  kolb
 * Initial version.
 * 
 */
#ifndef CONE_H
#define CONE_H

#define GeomConeCreate(c,a,r1,r2) GeomCreate((GeomRef)ConeCreate(c,a,r1,r2), \
					ConeMethods())

/*
 * Cone
 */
typedef struct cone {
	Float start_dist;
	Trans trans;
} Cone;

extern Cone	*ConeCreate();
extern int	ConeIntersect(), ConeEnter(), ConeNormal();
extern void	ConeBounds(), ConeUV(), ConeStats();
extern char	*ConeName();
extern Methods	*ConeMethods();

#endif /* CONE_H */
